System.Design 2.0.0.0 System.ComponentModel.Design.DesignerActionItem

The class represents individual static text items in a smart tag panel. Individual items are associated together to form a panel by returning the group from a call to the method.

Most commonly, a static text item is used to create an informative label in a panel. Clicking on a static text item causes no action. The derived type is typically used to create labels to separate categories.

Represents a static text item on a smart tag panel.

- Constructor
  2.0.0.0

  The constructor sets the property to null.

  For more information about how the parameter is used to group items on a panel, see the method.

  Initializes a new instance of the class.

  The panel text for this item.
  The category used to group similar items on the panel.